/*
--- 01 TYPOGRAPHY SYSTEMS

- Font sizes (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- Font weights
Default: 400
Medium: 500
Semi-bold: 600
Bold: 700

- Line heights
Default: 1
Small: 1.05
Medium: 1.2
Paragraph default: 1.6

- Letter spacing
-0.5px
0.75px

--- 02 COLORS

- Primary: #e67e22
- Tints:
#fdf2e9
#fae5d3
#eb984e

- Shades:
#cf711f
#45260a

- Accents:
- Greys

#888
#767676 (lightest grey allowed on #fff)
#6f6f6f (lightest grey allowed on #fdf2e9)
#555
#333

--- 05 SHADOWS

0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);

--- 06 BORDER-RADIUS

Default: 9px
Medium: 11px

--- 07 WHITESPACE

- Spacing system (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
*/

:root {
    --primary-color: #e67e22;
    --primary-tint: #fdf2e9;
    --secondary-tint: #fae5d3;
    --tertirary-tint: #eb984e;

    --primary-shade: #cf711f;
    --secondary-shade: #45260a;

    --light-gray: #888;
    --medium-gray: #555;
    --dark-gray: #333;
    --text-light-gray: #767676;
    --text-dark-gray: #6f6f6f;

}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    /*scroll-behavior: smooth;*/
}

body {
    font-family: "rubik", sans-serif;
    line-height: 1;
    font-weight: 400;
    color: var(--medium-gray);
    overflow-X: hidden;
}

/* GENERAL COMPONENTS */


.container {
    max-width: 120rem;
    margin: 0 auto;
    padding: 0 3.2rem;
}

.grid {
    display: grid;
    row-gap: 9.6rem;
    column-gap: 6.4rem;
}

.grid:not(:last-child) {
    margin-bottom: 9.6rem;
}

.grid--2-cols {
    grid-template-columns: repeat(2, 1fr);
}

.grid--3-cols {
    grid-template-columns: repeat(3, 1fr);
}
.grid--4-cols {
    grid-template-columns: repeat(4, 1fr);
}

.grid--5-cols {
    grid-template-columns: repeat(5, 1fr);
}

.grid--footer {
    grid-template-columns: 1.5fr 1.5fr 1fr 1fr 1fr;
}

.grid--center-v {
    align-items: center;
}

.heading-primary,
.heading-secondary,
.heading-tertiary {
    font-weight: 700;
    color: var(--dark-gray);
    letter-spacing: -0.5px;
}

.heading-primary {
    font-size: 5.2rem;
    line-height: 1.05;
    margin-bottom: 3.2rem;
}

.heading-secondary {
    font-size: 4.4rem;
    line-height: 1.2;
    margin-bottom: 9.6rem;
}

.heading-tertiary {
    font-size: 3.6rem;
    line-height: 1.2;
    margin-bottom: 3.2rem;
}

.subheading {
    display: block;
    font-size: 1.6rem;
    font-weight: 500;
    color: var(--primary-shade);
    text-transform: uppercase;
    margin-bottom: 1.6rem;
    letter-spacing: 0.75px;
}

.btn,
.btn:link,
.btn:visited {
    font-size: 2rem;
    padding: 1.6rem 3.2rem;
    display: inline-block;
    border-radius: 9px;
    text-decoration: none;
    transition: all 0.3s;
    font-weight: 600;

    border: none;
    cursor: pointer;
}

.btn--full:link,
.btn--full:visited {
    background-color: var(--primary-color);
    color: #fff;
}

.btn--full:hover,
.btn--full:active {
    background-color: var(--primary-shade);
    color: #fff;
}

.btn--outline:link,
.btn--outline:visited {
    background-color: #fff;
    color: var(--medium-gray);
}

.btn--outline:hover,
.btn--outline:active {
    background-color: var(--primary-tint);
    box-shadow: 0 0 0 3px #fff inset;
    transition: all 0.3s;
}

.link:link,
.link:visited {
    color: var(--primary-color);
    text-decoration: none;
    border-bottom: 1px solid currentColor;
    padding-bottom: 2px;
    display: inline-block;
}

.link:hover,
.link:active {
    color: var(--primary-shade);
    border-bottom: 1px solid transparent;
}


*:focus {
    outline: none;
    box-shadow: 0 0 0 0.8rem rgba(230, 126, 34, 0.5);
}
/* HELPER CLASSES */

.margin-right-sm {
    margin-right: 1.6rem !important;
}

.margin-bottom-md {
    margin-bottom: 4.8rem !important;
}

.center-text {
    text-align: center;
}

strong {
    font-weight: 500;
}